PelekaPeleka Developers
API ReferenceAnalytics

Get audience (contacts) analytics

GET
/api/v1/analytics/contacts
X-API-Key<token>

In: header

Query Parameters

startDate*string

Start date (ISO 8601)

endDate*string

End date (ISO 8601)

Response Body

application/json

curl -X GET "https://example.com/api/v1/analytics/contacts?startDate=string&endDate=string"
{  "stats": {    "newSubscribers": 6200,    "unsubscribes": 248,    "unsubscribeRate": 1.2,    "netGrowth": 5952  },  "listGrowth": {    "days": [      {        "date": "Mon",        "total": 20000,        "gained": 220,        "lost": 20      }    ],    "weeks": [      {        "date": "Week 1",        "total": 15400,        "gained": 450,        "lost": 50      }    ],    "months": [      {        "date": "Nov",        "total": 13500,        "gained": 1700,        "lost": 200      }    ]  },  "subscriberSource": [    {      "name": "Newsletter Signup Form",      "count": 2840,      "pct": 45    },    {      "name": "import",      "count": 1580,      "pct": 25    }  ],  "engagementDistribution": [    {      "tier": "Highly Engaged",      "value": 28    },    {      "tier": "Active",      "value": 45    }  ],  "segmentPerformance": [    {      "segmentId": "uuid",      "segment": "VIP Customers",      "openRate": 72,      "clickRate": 38    }  ],  "engagementHeatmap": {    "timezone": "America/New_York",    "data": [      [        null      ]    ]  },  "audienceDevices": [    {      "name": "Mobile",      "value": 65    },    {      "name": "Desktop",      "value": 30    }  ],  "emailClients": [    {      "client": "Apple Mail",      "value": 38    },    {      "client": "Gmail",      "value": 32    }  ],  "subscriberPerformance": {    "total": 21200,    "page": 1,    "perPage": 10,    "items": [      {        "contactId": "uuid",        "name": "Ava Thompson",        "email": "[email protected]",        "received": 24,        "openRate": 96,        "clickRate": 61,        "tier": "High"      }    ]  },  "audienceLocations": [    {      "country": "United States",      "subscribers": 8400,      "pct": 39.6    },    {      "country": "United Kingdom",      "subscribers": 2800,      "pct": 13.2    }  ]}